GNU bug report logs - #24868
26.0.50; LaTeX-verbatim-macros-with-delims-local isn't taken into account

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>; dated Thu, 3 Nov 2016 16:13:02 UTC; Maintainer for auctex is bug-auctex@HIDDEN.
bug No longer marked as found in versions 26.0.50. Request was from Tassilo Horn <tsdh@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs' to 'auctex'. Request was from Tassilo Horn <tsdh@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24868 <at> debbugs.gnu.org:


Received: (at 24868) by debbugs.gnu.org; 3 Nov 2016 19:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 15:27:54 2016
Received: from localhost ([127.0.0.1]:41886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c2Ng2-0002fo-2e
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:27:54 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:39614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1c2Ng0-0002fg-GC
 for 24868 <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:27:52 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 17A3220C53;
 Thu,  3 Nov 2016 15:27:52 -0400 (EDT)
Received: from frontend1 ([10.202.2.160])
 by compute3.internal (MEProxy); Thu, 03 Nov 2016 15:27:52 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=
 smtpout; bh=3AkeKas14f74HNanT1y+qlfYzLQ=; b=sec2ABdWrm8R+cqTds55
 XFULMgvgYOAwtH+eJuS9uRSJk5+dVX9MUgKeHZrqcpsftiOwcgQDvf4qsKnL4DT1
 o+HNNfffxecDtXUo1jJr1Pvz/h5lz7Hm1XNhXc4kqrS1aVEnkMUXpf1htgOzsyrf
 ydPwQu+FVPxA4f6i/wCiqTs=
X-ME-Sender: <xms:uI8bWLUaCsTmjQN6Oit7QVzxDdIC_cqiS9UhJiIqwd1nchQSy9_p5w>
X-Sasl-enc: bVWEmYXq2Gsi7G2mFBpH7uXZwLJUPbWv1v6u3FeDAR0o 1478201271
Received: from [192.168.0.100] (p2e5045b1.dip0.t-ipconnect.de [46.80.69.177])
 by mail.messagingengine.com (Postfix) with ESMTPA id 3B33AF29C9;
 Thu,  3 Nov 2016 15:27:51 -0400 (EDT)
From: Tassilo Horn <tsdh@HIDDEN>
To: =?UTF-8?B?Q2zDqW1lbnQgUGl0LS1DbGF1ZGVs?= <clement.pitclaudel@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
Date: Thu, 03 Nov 2016 20:27:51 +0100
Message-ID: <1582ba962d8.2779.69bc538c4644581689883e654f15bce0@HIDDEN>
In-Reply-To: <a5093600-1609-10a6-0d99-cee21c58b116@HIDDEN>
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
 <834m3omobd.fsf@HIDDEN> <87r36so1hj.fsf@HIDDEN>
 <a5093600-1609-10a6-0d99-cee21c58b116@HIDDEN>
User-Agent: AquaMail/1.6.2.9 (build: 27000209)
Subject: Re: bug#24868: 26.0.50;
 LaTeX-verbatim-macros-with-delims-local isn't taken into account
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset="UTF-8"
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 24868
Cc: 24868 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hi again,

Thanks for your responses. I'll take care of this issue at the weekend.

Thanks,
Tassilo


Am 3. November 2016 20:06:51 schrieb Clément Pit--Claudel 
<clement.pitclaudel@HIDDEN>:

> On 2016-11-03 14:35, Tassilo Horn wrote:
>> I guess Clement is actually reporting an AUCTeX bug and accidentally
>> used `report-emacs-bug' instead of `TeX-submit-bug-report'.
>
> Spot on :) Sorry for the mistake!
>
>> (2) there's no hook-like thing that would be run whenever some specific
>>     variable is modified due to file-local or directory-local variables,
>>     no?
>
> There is one :)
>
>     hack-local-variables-hook is a variable defined in ‘files.el’.
>     Its value is nil
>
>       This variable may be risky if used as a file-local variable.
>
>     Documentation:
>     Normal hook run after processing a file’s local variables specs.
>     Major modes can use this to examine user-specified local variables
>     in order to initialize other data structure based on them.
>
>> So I guess the right way to make Clément's use-case work was to
>> provide functions for modifying those variables that can be run from
>> an eval: local variables block and then refresh the fontification if
>> needed, right?
>
> I think installing a hack-local-variable hook would be the way to go :)
>
> Cheers and thanks for the quick answer!
> Clément.
>






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24868; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2016 19:26:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 15:26:51 2016
Received: from localhost ([127.0.0.1]:41881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c2Nf1-0002eA-O6
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:26:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pit@HIDDEN>) id 1c2Nez-0002dw-Sz
 for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:26:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1c2Net-0003bg-UU
 for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:26:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50606)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement.pit@HIDDEN>)
 id 1c2Net-0003bb-RT
 for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:26:43 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60808)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1c2Nes-0006ZR-O0
 for bug-gnu-emacs@HIDDEN; Thu, 03 Nov 2016 15:26:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pit@HIDDEN>) id 1c2Nep-0003Vq-Fi
 for bug-gnu-emacs@HIDDEN; Thu, 03 Nov 2016 15:26:42 -0400
Received: from mout.kundenserver.de ([212.227.126.133]:57823)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement.pit@HIDDEN>)
 id 1c2Nep-0003VO-3M
 for bug-gnu-emacs@HIDDEN; Thu, 03 Nov 2016 15:26:39 -0400
Received: from [18.26.2.123] ([18.26.2.123]) by mrelayeu.kundenserver.de
 (mreue004) with ESMTPSA (Nemesis) id 0LkDhW-1cYgGl1fC6-00c7v1 for
 <bug-gnu-emacs@HIDDEN>; Thu, 03 Nov 2016 20:26:37 +0100
Subject: Re: bug#24868: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't
 taken into account
To: bug-gnu-emacs@HIDDEN
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
 <834m3omobd.fsf@HIDDEN> <87r36so1hj.fsf@HIDDEN> <83wpgkl6rl.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pit@HIDDEN>
Message-ID: <8d794929-c2b8-89fe-b2d6-531bbe1be751@HIDDEN>
Date: Thu, 3 Nov 2016 15:26:19 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.4.0
MIME-Version: 1.0
In-Reply-To: <83wpgkl6rl.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="AHDV8npequ6WA7giE2iSCLpusCJXuNA0W"
X-Provags-ID: V03:K0:Zi54lbmbbvDGmNIRPKDkol6o5m2QhdPCvoAqNujGMECGSDsJPqZ
 fzbA3FnVfAR+lQzuF1VzysCiQkOkeObDVvLN7nHHZprupyQS3CdWudHcNNN2vCrNfghXH0x
 YHAOgAawby+DyDrv+qNnwXlCDMFefk4pBhgNNVzm0kRL6cmfzIWR5wAsIkcbFfeZQ66kcfw
 HDI9N+ZWOzSQE6zzmU2TQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:6AfqKOKZucM=:Ql8M5+RQFxiLzguNLZgpt3
 zMoa6FnGE2yS7aAgK5EOwD+XXO9f2j9E+UPNRjrOb+CCbIgfct//8/RUwjuy+dHisWzcDSMYG
 cxkhTeToewNev2LA199iqVKt4sxVTQIzRr9BU0VSuxyzgNzIIyefUAonHgOjPO7aQYIr5TqFf
 NLZ5Cru20ZWTS2caLoREGBsBXF6TWpEQimuUTnpkuPLjns9JmTUKLhykA8QVn66Izmik7uNII
 3Y30kiIl9IrqXsTdmHZOFJjjk6iVCxSLq5bk/o8f6P4AzhbbFpR6CKdiZRS1S1fpCKxCKYvq3
 dfAllcEICLcQyYQ/ebRYgkMsoQJaaEFp8WdD6WmnfPw4+SNc1jFMtW2zEL99lMRkB4HEDB0r2
 ioaRQGXwOBo75iy0svOyXh5cmNUpke2wDD7qq84R6IMbWRpn02fSdMoncncuWMj4kRfap9h6Q
 hYbZOO3oKYyu2VpjlK7uxlBRkrmpFyPGXt/YxOj2S/13w3wSj372U9FyvzHms1BPELXu6Ttf/
 clmlbn+w10q4bTUKKkUWXdto92X7OZPXCHybNXvWrxUX6vXI2rkCypomsvXcFi1Qw/E9q1i28
 ef6Iyin7noVWRP4Rkjm0pEfLudL9lAOSHsdPnhCKqC4bY3h2PtZ4La6T4ecCpF/nruIlv/3LZ
 tGyKs5Hnvo15cumdgXtllq0vcqInbfRhnx3aSX2QmQo5Jo0Ex41LqKBaWBaaUeTvvMCY=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--AHDV8npequ6WA7giE2iSCLpusCJXuNA0W
Content-Type: multipart/mixed; boundary="KQax5a3i8phlmIGqaDlwNftscuL7mw82C";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pit@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Message-ID: <8d794929-c2b8-89fe-b2d6-531bbe1be751@HIDDEN>
Subject: Re: bug#24868: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't
 taken into account
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
 <834m3omobd.fsf@HIDDEN> <87r36so1hj.fsf@HIDDEN> <83wpgkl6rl.fsf@HIDDEN>
In-Reply-To: <83wpgkl6rl.fsf@HIDDEN>

--KQax5a3i8phlmIGqaDlwNftscuL7mw82C
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-11-03 15:09, Eli Zaretskii wrote:
>> > (2) there's no hook-like thing that would be run whenever some speci=
fic
>> >     variable is modified due to file-local or directory-local variab=
les,
>> >     no?  So I guess the right way to make Cl=C3=A9ment's use-case wo=
rk was to
>> >     provide functions for modifying those variables that can be run =
from
>> >     an eval: local variables block and then refresh the fontificatio=
n if
>> >     needed, right?
> Probably.  Unless someone will come up with a more clever idea.

Hmm. Wouldn't something like the following work?

(add-hook 'hack-local-variables-hook
          (lambda ()=20
             (when (=E2=80=A6check relevant variable for a change=E2=80=A6=
)
               (=E2=80=A6refresh fontification=E2=80=A6)))


--KQax5a3i8phlmIGqaDlwNftscuL7mw82C--

--AHDV8npequ6WA7giE2iSCLpusCJXuNA0W
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYG49rAAoJEPqg+cTm90wjPnIP/2TQ0yf2RIR61wvJdbq+JGyU
+yrODR3wvZA8ITYS60M/+UbnIgqDJTQ43vf313uhXXMEqp1jP9zosVMI8/07z8+E
NrpXyTJ/CDXo3adswJAtjnXb5m5Kc8usLCig53SzaWiPnY3t/Yfvz6/9innhFILj
CCeryHQf3edV8SVqMhYYLM3PdXBqfXsa5YL1VQ0wgCPpUybZA5RS2vZj8yWi/Syt
Ay/1pBdtRwEHJiYpbjerhuInCPP/9wq4Nxx9rT8W2NqfH6SKo9WflQAqzvwhZgzk
A5ICXiX+Cex+alu3LHKmQcyOFtqKtlbwN7mHSemGU6Rnry3oB2efKQUaB/vk56S4
hWWZrdlxqTNaKlajUWofNaR6DCrqCbVTSRkpi9bkUAx2WIjciRwVyDC+rCctj9nz
A141tvNAF8+Bic3GZ+DkpKK9k6apVz+0nVC974cFfnxu9YO7iMr2AR/i71rfQkLJ
ekeK6WkWf7zcCoOOjjJOZdrTdrRTy9XzlJNBPJ9/235EoPxC5s0ziEGzgJ9H6MJI
1TCYGEK3BRM3CQZ0ehC8xesDEBfnX54ICUYL4Ow8zU2mf6ST3loXkRwVBIO7QHQA
zhrjxAyJ8R9s/2lbiYnc131Y+bEE1qJNyNdryV8yP3skhTaM2NTWKsn1v0x0afWX
h1fe1Up7mRm1Rj1v0tJT
=zvGQ
-----END PGP SIGNATURE-----

--AHDV8npequ6WA7giE2iSCLpusCJXuNA0W--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24868; Package emacs. Full text available.

Message received at 24868 <at> debbugs.gnu.org:


Received: (at 24868) by debbugs.gnu.org; 3 Nov 2016 19:09:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 15:09:41 2016
Received: from localhost ([127.0.0.1]:41874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c2NOP-0002Fp-6l
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:09:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c2NON-0002Fd-DI
 for 24868 <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:09:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c2NOE-0001bM-7u
 for 24868 <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:09:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35564)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c2NOE-0001b4-3i; Thu, 03 Nov 2016 15:09:30 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1650
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c2NOD-0007RQ-6K; Thu, 03 Nov 2016 15:09:29 -0400
Date: Thu, 03 Nov 2016 21:09:50 +0200
Message-Id: <83wpgkl6rl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
In-reply-to: <87r36so1hj.fsf@HIDDEN> (message from Tassilo Horn on Thu, 03
 Nov 2016 19:35:36 +0100)
Subject: Re: bug#24868: 26.0.50;
 LaTeX-verbatim-macros-with-delims-local isn't taken into account
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
 <834m3omobd.fsf@HIDDEN> <87r36so1hj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 24868
Cc: clement.pitclaudel@HIDDEN, 24868 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.3 (-------)

> From: Tassilo Horn <tsdh@HIDDEN>
> Cc: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>,
>   24868 <at> debbugs.gnu.org
> Date: Thu, 03 Nov 2016 19:35:36 +0100
> 
> (1) can we move that bug to the auctex debbugs category?

I think this is a simple matter of adding the "package" attribute to
the bug report?

> (2) there's no hook-like thing that would be run whenever some specific
>     variable is modified due to file-local or directory-local variables,
>     no?  So I guess the right way to make Clément's use-case work was to
>     provide functions for modifying those variables that can be run from
>     an eval: local variables block and then refresh the fontification if
>     needed, right?

Probably.  Unless someone will come up with a more clever idea.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24868; Package emacs. Full text available.

Message received at 24868 <at> debbugs.gnu.org:


Received: (at 24868) by debbugs.gnu.org; 3 Nov 2016 19:06:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 15:06:43 2016
Received: from localhost ([127.0.0.1]:41870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c2NLX-0002BY-Od
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:06:43 -0400
Received: from mout.kundenserver.de ([217.72.192.73]:56776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1c2NLV-0002BM-VF
 for 24868 <at> debbugs.gnu.org; Thu, 03 Nov 2016 15:06:42 -0400
Received: from [18.26.2.123] ([18.26.2.123]) by mrelayeu.kundenserver.de
 (mreue102) with ESMTPSA (Nemesis) id 0LrKBQ-1d0pgE0hHY-0136ZS; Thu, 03 Nov
 2016 20:06:34 +0100
Subject: Re: bug#24868: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't
 taken into account
To: Tassilo Horn <tsdh@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
 <834m3omobd.fsf@HIDDEN> <87r36so1hj.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <a5093600-1609-10a6-0d99-cee21c58b116@HIDDEN>
Date: Thu, 3 Nov 2016 15:06:30 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.4.0
MIME-Version: 1.0
In-Reply-To: <87r36so1hj.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="frjnbbAx4CM0q9W85l4HChJKQHNC4u0vU"
X-Provags-ID: V03:K0:0Gqk9rUoxgHvuEzjX07yKiP5KumBWja/z1aH5raCMVn8Xt0oT+f
 KILQoasrt+zm+65/BPFkZZ38mqqPx/91sphXNogk3h1QMyUhFOr8LoeSxMwmSAX+6yodFps
 EjseN4Z/7+1n8q2qkCsgFjYRVYAfjOANoSYYKg8UjP402qL3qsYnuBtOkY2GbeL/NF17M0R
 676cuY0eEtocpF9Chq8Dg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:epy3O/FFn8s=:4VYJ9IX7ZFO4aBjAAz236U
 deEzUzBVgWHr4J3SmOrDbCh00hdSjjj6MTWexSCmnXCr+Swt1Kr0F4vGpWGG2b/DZSrhqpZ93
 1UBMzicq1UE/9C9dc5RpHqMsDJS+pJxY2AnlYpxkrFWLkPLFKi7Az1frmO6jrj+RREY1s3QmN
 qoRYw2Gv3WUWPbMJdkmYN/laKEu3j685ZsGDT8jVLHoQDSQkPwiR6CI1uv7pLo8/l2Z0J8Kjt
 q0p4ixXDouVZxI15a9V78CpkEbwMxttNODmdl7/dGsW/Z4ej5qiyGUwULkBR9jg0EMDQBcHUz
 e3OtsWHUyElMZu2prWGhrtySWSuAjGM+SGUEkAMSAn6YFuSGR5NiqUiQg4AjBEHm0gur7IrAF
 ewWUbs/NXZxalwTPscvgfWOmjclgMEahHITF9I8hTieOWUTlFTfS4lhyOWXkOmvCsorYTKfhe
 XyWJbI2S47tAUqABWPSLwPHmkqpw1r0nEv4fJmTUCqBPCHCquDEjQoUa349U1CxxwDMiM/JSy
 hFpuNmxCIuMR5+2k95p1RlHCR0Oz2mlbVUtqhDBVv1TCQKLa6KI7tkInYomnNElUrgBpSPAVx
 ZHhryO76nIvG/qit6P0fMWxnLp36DHzyb0hwfgmHUdV1/FIB344SYo4L7eCKMNF1Gjw/2IspJ
 v0BVbjQ/31++WcNvfT8LZ+zVKSu5V9VrIfav1mo1TZJ3IZtPzZeMqyThyF9fLoj4iKEg=
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 24868
Cc: 24868 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--frjnbbAx4CM0q9W85l4HChJKQHNC4u0vU
Content-Type: multipart/mixed; boundary="8p175SmaXnF9qUrNw84sE9gpNJS6NtEr3";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Cc: 24868 <at> debbugs.gnu.org
Message-ID: <a5093600-1609-10a6-0d99-cee21c58b116@HIDDEN>
Subject: Re: bug#24868: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't
 taken into account
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
 <834m3omobd.fsf@HIDDEN> <87r36so1hj.fsf@HIDDEN>
In-Reply-To: <87r36so1hj.fsf@HIDDEN>

--8p175SmaXnF9qUrNw84sE9gpNJS6NtEr3
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-11-03 14:35, Tassilo Horn wrote:
> I guess Clement is actually reporting an AUCTeX bug and accidentally
> used `report-emacs-bug' instead of `TeX-submit-bug-report'.

Spot on :) Sorry for the mistake!

> (2) there's no hook-like thing that would be run whenever some specific=

>     variable is modified due to file-local or directory-local variables=
,
>     no? =20

There is one :)

    hack-local-variables-hook is a variable defined in =E2=80=98files.el=E2=
=80=99.
    Its value is nil

      This variable may be risky if used as a file-local variable.

    Documentation:
    Normal hook run after processing a file=E2=80=99s local variables spe=
cs.
    Major modes can use this to examine user-specified local variables
    in order to initialize other data structure based on them.

> So I guess the right way to make Cl=C3=A9ment's use-case work was to
> provide functions for modifying those variables that can be run from
> an eval: local variables block and then refresh the fontification if
> needed, right?

I think installing a hack-local-variable hook would be the way to go :)

Cheers and thanks for the quick answer!
Cl=C3=A9ment.


--8p175SmaXnF9qUrNw84sE9gpNJS6NtEr3--

--frjnbbAx4CM0q9W85l4HChJKQHNC4u0vU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYG4q2AAoJEPqg+cTm90wjOO4P/iLR3u2bJyhMU0/3hAOfDIqk
NYgqMfaOpVroa+HKwr3TGxgC+Tkgvg7q/rvAPG6mtudAL6gnNTnw43YbJtOtcbya
GTd8LrtrStwc7pAD5GJKX4i9/+Pv5cWXQQfDzC3cStx8iYn1odKIaQW1vAlNCyAU
ioRRTNCOGg16pwOcl9fOLu4sIf8bHNUDHXSzAk9yZBijkmHzXuCQllv6nApmbOYt
NHcXeNODTbrkB/LP0XkeYxYOYPWbQlRgwjsiG5j0PIrxNi0A9ya7pO0kRY5JXSOD
Z3csLAcIqUdpY3mGjPgRcp6EIFS1b9we/JV33WoqYhQDjoZYXngbzyaWtoyMtPE6
538CEHo4LJXG4KCpw7SFHMWGkqHjEbnCr+pNOmxDDJaTEWxGLKUDqGw/zRr2TP2+
S/8CSZ57yGi1UvH8YIcNfiwH2VyioOm8W+l608bo3xwH0azlFdxm08HWgI2aSUsF
i0qNID/gMyee3LISFmOdoUA4kfIlCmQLtGzpxOMbi+HwAiDT2dmtiYgXM4smciro
kpMafnXkO72JM0LfSThlM3Ngf22XVUCTzgkI2vMaXikVz0sGgxT+GSwMsBP/fcK1
i8+JhMYqcBeVDOcdxY4/iFn0aS3aK9ARHZb2m95wtGcrPFQmzyP26pwEY6/TXNNe
cg5OKx79HczQKifNPsxd
=z3z4
-----END PGP SIGNATURE-----

--frjnbbAx4CM0q9W85l4HChJKQHNC4u0vU--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24868; Package emacs. Full text available.

Message received at 24868 <at> debbugs.gnu.org:


Received: (at 24868) by debbugs.gnu.org; 3 Nov 2016 18:35:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 14:35:42 2016
Received: from localhost ([127.0.0.1]:41842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c2MrW-0001Se-0P
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 14:35:42 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:56197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tsdh@HIDDEN>) id 1c2MrU-0001SV-RJ
 for 24868 <at> debbugs.gnu.org; Thu, 03 Nov 2016 14:35:41 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 0295620C5B;
 Thu,  3 Nov 2016 14:35:39 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute3.internal (MEProxy); Thu, 03 Nov 2016 14:35:39 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc:x-sasl-enc; s=
 smtpout; bh=iz0nES5YacFalOOCtyD6UdIvgdk=; b=EkKCbLmZukb2sOdEOAIz
 mDtZjBIhC8rFC+Pn+Lv1utLxJ25q2gA6n8sTqT5umQYQvCqE2jvU2pJC3bReR91+
 EcAR0H7Bcb8Yc0+eZ5S9dNeAj9SuwUQOMreBs2PzxhlxdNSC+150iSvohu2BWa5C
 SxpzeJrN89UU7rjTCJL8G2Y=
X-ME-Sender: <xms:eoMbWIMTLZJnIpVvr2ze-ooAhSbK3EmeHZ_9V3ZvbKTsb0gZiQ7KAQ>
X-Sasl-enc: SM/9AQSd24QUtBXU9Zh/zkVFLdIjDen1mCR0UVcSFBAn 1478198137
Received: from thinkpad-t440p (p2e5045b1.dip0.t-ipconnect.de [46.80.69.177])
 by mail.messagingengine.com (Postfix) with ESMTPA id A02CACC0B9;
 Thu,  3 Nov 2016 14:35:37 -0400 (EDT)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24868: 26.0.50;
 LaTeX-verbatim-macros-with-delims-local isn't taken into account
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
 <834m3omobd.fsf@HIDDEN>
Date: Thu, 03 Nov 2016 19:35:36 +0100
In-Reply-To: <834m3omobd.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 03 Nov
 2016 20:05:26 +0200")
Message-ID: <87r36so1hj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 24868
Cc: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>,
 24868 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Starting from emacs -Q with (add-to-list 'auto-mode-alist '("\\.tex$"
>> . LaTeX-mode)), opening the attached file produces incorrect
>> highlighting.  This is due to LaTeX-verbatim-macros-with-delims-local
>> not being applied properly.
>
> Maybe I'm blind, but I seem to be unable to reproduce this.  Can you
> tell which highlighting is incorrect, i.e. what should happen and what
> does happen?
>
> Also, in what version of Emacs did this work?

I guess Clement is actually reporting an AUCTeX bug and accidentally
used `report-emacs-bug' instead of `TeX-submit-bug-report'.

And Cl=C3=A9ment is right.  With the current AUCTeX version modifying
`LaTeX-verbatim-macros-with-delims-local' and friends as a file-local or
directory-local variable doesn't refresh fontification.  Until now,
these variables have been meant mostly for style file authors, and when
a style is loaded, fontification will be recomputed.  But Cl=C3=A9ment's
use-case is valid, of course.

So Eli,

(1) can we move that bug to the auctex debbugs category?

(2) there's no hook-like thing that would be run whenever some specific
    variable is modified due to file-local or directory-local variables,
    no?  So I guess the right way to make Cl=C3=A9ment's use-case work was =
to
    provide functions for modifying those variables that can be run from
    an eval: local variables block and then refresh the fontification if
    needed, right?

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24868; Package emacs. Full text available.

Message received at 24868 <at> debbugs.gnu.org:


Received: (at 24868) by debbugs.gnu.org; 3 Nov 2016 18:05:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 14:05:20 2016
Received: from localhost ([127.0.0.1]:41823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c2MO8-0000io-Ll
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 14:05:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c2MO7-0000ic-8w
 for 24868 <at> debbugs.gnu.org; Thu, 03 Nov 2016 14:05:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c2MNw-0001jf-TM
 for 24868 <at> debbugs.gnu.org; Thu, 03 Nov 2016 14:05:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34413)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c2MNw-0001jN-Q7; Thu, 03 Nov 2016 14:05:08 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1619
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c2MNv-0000Vr-I6; Thu, 03 Nov 2016 14:05:08 -0400
Date: Thu, 03 Nov 2016 20:05:26 +0200
Message-Id: <834m3omobd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN> (message from
 =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel on Thu, 3 Nov 2016 12:11:49 -0400)
Subject: Re: bug#24868: 26.0.50;
 LaTeX-verbatim-macros-with-delims-local isn't taken into account
References: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.3 (-------)
X-Debbugs-Envelope-To: 24868
Cc: 24868 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.3 (-------)

> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Thu, 3 Nov 2016 12:11:49 -0400
> 
> Starting from emacs -Q with (add-to-list 'auto-mode-alist '("\\.tex$" . LaTeX-mode)), opening the attached file produces incorrect highlighting.  This is due to LaTeX-verbatim-macros-with-delims-local not being applied properly.

Maybe I'm blind, but I seem to be unable to reproduce this.  Can you
tell which highlighting is incorrect, i.e. what should happen and what
does happen?

Also, in what version of Emacs did this work?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24868; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2016 16:12:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 03 12:12:19 2016
Received: from localhost ([127.0.0.1]:41798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c2Kcl-0006V2-BH
	for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 12:12:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1c2Kcj-0006Uq-42
 for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 12:12:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1c2Kca-0001Iv-0g
 for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 12:12:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44527)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement.pitclaudel@HIDDEN>)
 id 1c2KcZ-0001Ir-TT
 for submit <at> debbugs.gnu.org; Thu, 03 Nov 2016 12:12:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35749)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1c2KcY-0004VA-NN
 for bug-gnu-emacs@HIDDEN; Thu, 03 Nov 2016 12:12:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1c2KcT-0001Gh-JR
 for bug-gnu-emacs@HIDDEN; Thu, 03 Nov 2016 12:12:06 -0400
Received: from mout.kundenserver.de ([212.227.17.13]:57844)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement.pitclaudel@HIDDEN>)
 id 1c2KcT-0001FJ-9f
 for bug-gnu-emacs@HIDDEN; Thu, 03 Nov 2016 12:12:01 -0400
Received: from [18.111.74.112] ([18.111.74.112]) by mrelayeu.kundenserver.de
 (mreue104) with ESMTPSA (Nemesis) id 0MhDBR-1cFCdp0HXF-00MGzJ for
 <bug-gnu-emacs@HIDDEN>; Thu, 03 Nov 2016 17:11:56 +0100
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Subject: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't taken into
 account
Message-ID: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
Date: Thu, 3 Nov 2016 12:11:49 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.4.0
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="ujtSUd1KpxuADvF306Kn2dqTFW5NGgq66"
X-Provags-ID: V03:K0:ev9jHjIqneYDdQVjywljTEHYNAnNGq+0sDb3MMEeyNYlz54L/YP
 /3USqCLXSi7Lry1nMqLByWMof82GYfM/8XQ9V7mSMRP1ukSg6/L/YtTjSgFlaZKbctHd2MA
 KfOza3OODtgvoINcHSBmONsASPn0dFz9awaG6aZLoa2G9l5aJG0tt1HWWKMUsfP0UF0idId
 pd9yRKBeIqk00IVotpH1A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:bLo3zG2gdW8=:2dYMoSap18XYTtRouo8R+M
 58CLDxX1Odw9Q27aa9zrQdV/PmkVOn5QtFP1h0xLxJwOIjScJZ6OHunYZ4Yj3E8+a2vBlj/oP
 JQq9OUTBl76n2mLh4EEbNVkitqHJXBV8fxeoeyY2FhyrrbXtBJtUJR7NIRa4K82Kqz+Z1JaZI
 A0Q0ZMA9K3OARE/3RJAp1elLxXY38g7T32oSStfkRoIr2aMW9TKojTlaS5EXehAFNeC0vCjlP
 oS7B6Ilx2LRbZjGQ5mFWrVjMEtwZCl1fUVYmCEhZOBXlczOHWLaFiPryBp2JsY2yEemjQhGbx
 pR47StQTND2K7+SYMtNCupqipTcua2/n95dNpYviHcTb0KRKCQqm0g03XUFC6Onj63WBVIh3I
 XU+Ru5jVHOExHjVW7fFmeG5/OWDURH/vrEUuiOeesHWR0Q2vwJtQWyO0qNF51XbrU5tDhvEbC
 sccgLNRvtaI4stOTXV5gwtMaSqYMUXrCSFk7Gwc3cZNHjmJOkxbPsx66Sp1sg7IDClo4qg/b+
 4uF+bD+S/7kmBa9kMQ/3NxPxouL/LvqxYTKU9/Zx6AZBgQvdb2hL3XIzJu9yJZ3h2QFjZtoi1
 1+yzqBbQP3dUhKlbEEfJ4Tmk4NaeHWhrVMkWN/uKB3nbUOXyNs27HTRvNF13YiJMJiukzu4jw
 6VZWAs3bDICqGqRJbhu+BGDuXEbe160hgZoU+KxGGwJytot46BAhxOzkP21futbkL/H4=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--ujtSUd1KpxuADvF306Kn2dqTFW5NGgq66
Content-Type: multipart/mixed; boundary="KTpOHNh0FOjEBhBkD48fgru1uxWVFFddc";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Message-ID: <f568b3c8-7ed3-2b60-7f21-ab2879c60d5c@HIDDEN>
Subject: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't taken into
 account

--KTpOHNh0FOjEBhBkD48fgru1uxWVFFddc
Content-Type: multipart/mixed;
 boundary="------------06B305CC6E2CFA325ED15785"

This is a multi-part message in MIME format.
--------------06B305CC6E2CFA325ED15785
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Starting from emacs -Q with (add-to-list 'auto-mode-alist '("\\.tex$" . L=
aTeX-mode)), opening the attached file produces incorrect highlighting.  =
This is due to LaTeX-verbatim-macros-with-delims-local not being applied =
properly.

Currently, the workarounds are:
* To not set LaTeX-verbatim-macros-with-delims-local locally (instead, pu=
t it in .emacs)
* To add \usepackage{polyglossia} to top of file (??! apparently polyglos=
sia.el somehow refreshes the fontification?)
* Use an "eval:" prop line to refresh fontification:
  % Local Variables:
  % LaTeX-verbatim-macros-with-delims-local: ("fiatverb" "facadeverb" "sq=
lverb" "cverb")
  % eval: (progn (font-latex-set-syntactic-keywords) (font-latex-setup) (=
setq font-lock-set-defaults nil) (font-lock-set-defaults))
  % End:

None of these are very pleasant, unfortunately.  Can we add a hook to hac=
k-local-variables that refreshes fontification appropriately?

(also: can we give LaTeX-verbatim-macros-with-delims-local a simple #'saf=
e predicate?)

Thanks!
Cl=C3=A9ment.

In GNU Emacs 26.0.50.14 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-10-29 built on clem-w50-mint
Repository revision: fae796fe2695b419aa9277d243633bae400a147a
Windowing system distributor 'The X.Org Foundation', version 11.0.1180400=
0
System Description:	Linux Mint 18 Sarah

--------------06B305CC6E2CFA325ED15785
Content-Type: text/x-tex;
 name="test.tex"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="test.tex"

\documentclass{article}

\begin{document}
\python=3DThis verb contains an unmatched $=3D
\end{document}

% Local Variables:
% LaTeX-verbatim-macros-with-delims-local: ("python")
% End:

--------------06B305CC6E2CFA325ED15785--

--KTpOHNh0FOjEBhBkD48fgru1uxWVFFddc--

--ujtSUd1KpxuADvF306Kn2dqTFW5NGgq66
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYG2HFAAoJEPqg+cTm90wjLzMQALDPiVtkNwfhg1igiJmqHf5f
NQm4rEHevmvGM5VvVdWUv4h29G9AVVzP6alKeQqimKjoauycdq+3ft9seKCoaqiY
u2biTeY5qX5Uh/aixp8pFKlEsmWoj77ezVLBxR3RV7ZI4DBKoxmlBM6WxAdM2CVF
0MZEB69GhPOQa52G+o3BVPuKrrN1rknXm0Y0xdUprmrwHjER0z4naGznko4pf6U3
fE6Gj/tcCLvS0ZiaLkXSEefIuuKQrwWF5qTfxwWccRD+knwJbT3ur4dCcZFy95nk
A77H8zgO4+rd50LF8V03emaN+OPkvYOWJlHsX3mTBmuRhNx+ji+NObFo+P6D03FH
2InW0X5YcXbHIyIBw9aMwx1Gdv1FPEslXu7aZECLya/0NC8BTLHRvCHNMBMSi+1r
8WrsS4faJwhpHkUH7gywPa0LZpUOQNaRSXzfjB5q9awwM7f23rSRj78durj9yw+O
KaN262b4WM8eXSrTKOQRJ8kSDRCLQnpt86sFmh9motEZkp/RpAPTiyRWFt6Tsz0Y
y5ATuWpjQ925hhXFUBy6MetX0V9jfZa8i3fHVVbHbMBGWuaafdAe6xyIsH8/Byua
Y5ji2STpBYxePz7ugeVXgi93iwAVmcyB3HWlDmnCUdMiykF8NMwm6+Q/EnjAgGSr
dLXUubszDOlF4HNj5WkB
=Kthu
-----END PGP SIGNATURE-----

--ujtSUd1KpxuADvF306Kn2dqTFW5NGgq66--




Acknowledgement sent to Clément Pit--Claudel <clement.pitclaudel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24868; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 4 Nov 2016 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.